Debian-facile

Bienvenue sur Debian-Facile, site d'aide pour les nouveaux utilisateurs de Debian.

Vous n'êtes pas identifié(e).

#1 25-09-2017 08:15:41

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

[Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Bonjour,
venant d'installer ma debian gnome stretch, lors de ma mise à jour je me retrouve avec ce message d'erreur:

W: http://security.debian.org/debian-security/dists/stretch/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://ftp.fr.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://ftp.fr.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.


Ce message apparaît avec apt en ligne de commande et synaptic.
Avez vous déjà eu ce message ? scratchhead.gif
Merci

PS: je rajoute que je n'ai touché à rien si ce n'est d'ajouter les contrib non-free sur le source list.

Dernière modification par Herve33 (25-09-2017 11:31:41)


DFlinux Stretch

Hors ligne

#2 25-09-2017 08:54:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Bonjour,

Il s'agit effectivement d'un problème connu remonté à plusieurs reprises sur le forum ;

[...] je n'ai touché à rien si ce n'est d'ajouter les contrib non-free sur le sources.list.


c'est justement ça l'origine du souci, si tu as effectué la manip via Synaptic !

Le format du fichier trusted.gpg gêne APT ; la solution ici (version longue )

edit: en fait consulter les dépôts via Synaptic suffit à recréer le fichier (cf. ici)

Dernière modification par èfpé (25-09-2017 10:24:42)

Hors ligne

#3 25-09-2017 09:16:40

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Bjr,
oui j'ai bien la ligne trusted.gpg. Non la modification a été faite via le terminal directement avec la commande nano.

total 28
drwxr-xr-x 2 root root 4096 sept. 25 07:14 apt.conf.d
-rw-r--r-- 1 root root  104 sept. 23 16:52 listchanges.conf
drwxr-xr-x 2 root root 4096 juil. 13 23:45 preferences.d
-rw-r--r-- 1 root root  726 sept. 25 07:06 sources.list
-rw-r--r-- 1 root root    0 sept. 23 16:15 sources.list~
drwxr-xr-x 2 root root 4096 juil. 13 23:45 sources.list.d
-rw------- 1 root root   32 sept. 25 07:14 trusted.gpg
drwxr-xr-x 2 root root 4096 sept. 23 16:14 trusted.gpg.d



Si j'ai bien compris, la commande rm va me supprimer cette ligne, cela na va pas me perturber mon système ? Tu me dis que le problème a été signalé, aucun correctif n'a été apporté ?
Merci

Dernière modification par Herve33 (25-09-2017 09:18:15)


DFlinux Stretch

Hors ligne

#4 25-09-2017 09:36:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Re-,

Comme expliqué remonté dans la version longue, consulter les dépôts via Synaptic suffit.
Si tu as peur de perturber ton système commence par renommer ledit fichier trusted.gpg.

Hors ligne

#5 25-09-2017 09:55:45

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Tu veux dire quoi par consulter les dépôts via synaptic ?
Sur synaptic, je recharge les dépôts mais j'ai aussi ce message d'erreur:

W: http://ftp.fr.debian.org/debian/dists/stretch-updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://security.debian.org/debian-security/dists/stretch/updates/InRelease: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.
W: http://ftp.fr.debian.org/debian/dists/stretch/Release.gpg: The key(s) in the keyring /etc/apt/trusted.gpg are ignored as the file is not readable by user '_apt' executing apt-key.


@+

Dernière modification par Herve33 (25-09-2017 09:56:34)


DFlinux Stretch

Hors ligne

#6 25-09-2017 11:00:05

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Re,
j'ai supprimé le fichier

rm /etc/apt/trusted.gpg


Tout à l'air de bien fonctionner pour l'instant.
Merci


DFlinux Stretch

Hors ligne

#7 25-09-2017 11:23:53

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Slt,
oui en fait dès que l'on va voir la constitution de ces dépôts via synaptic, il se recréé un fichier /etc/apt/trusted.gpg
Je pense que la solution actuelle est de ne plus consulter cette liste via synaptic, tant que ce n'est pas réparé.
Et si ce fichier est revenu, soit modifier son nom ou le supprimer.
Merci

DFlinux Stretch

Hors ligne

#8 25-09-2017 13:04:56

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Bonjour,
C'est une erreur liée à Gnome ou pas ? Je n'ai pas eu de souci sur Mate et pourtant j'ai consulté la liste des dépôts. Je n'ai pas le paquet software-properties-gtk par contre.

Hors ligne

#9 25-09-2017 14:15:39

Croutons
Membre
Distrib. : Handylinux 2.5 vers Jessie et Debian Stretch
Noyau : Linux 3.16.0-4-686-pae, Linux 4.9.0-3-686-pae
(G)UI : xfce
Inscription : 16-12-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Bonjour

je n'ai touché à rien si ce n'est d'ajouter les contrib non-free sur le sources.list


@chalu ... pour faire le test il faudrait supprimé contrib et non-free et tenter de l'ajouter avec Synaptic
Enfin je crois


-->les cahiers du debutant<--      WikiDF-->Découvrir les principales commandes Linux<--
L' expérience, c'est le nom que chacun donne à ses erreurs. Oscar Wilde

Hors ligne

#10 25-09-2017 14:38:53

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

chalu a écrit :

Bonjour,
C'est une erreur liée à Gnome ou pas ? Je n'ai pas eu de souci sur Mate et pourtant j'ai consulté la liste des dépôts. Je n'ai pas le paquet software-properties-gtk par contre.



Slt
ça je n'en sais rien il faudrait voir si d'autres GUI ont eu ce souci, mais apparemment beaucoup l'ont sur Gnome.


DFlinux Stretch

Hors ligne

#11 25-09-2017 19:27:30

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Croutons a écrit :

Bonjour

je n'ai touché à rien si ce n'est d'ajouter les contrib non-free sur le sources.list


@chalu ... pour faire le test il faudrait supprimé contrib et non-free et tenter de l'ajouter avec Synaptic
Enfin je crois


Pas obligé d'après le retour de Herve33 consulter les dépôts via Synaptic suffit à créer le problème d'après ce que j'ai compris.

Hors ligne

#12 26-09-2017 09:48:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Bonjour,

C'est une erreur liée à Gnome ou pas ? Je n'ai pas eu de souci sur Mate et pourtant j'ai consulté la liste des dépôts. Je n'ai pas le paquet software-properties-gtk par contre.


Ce n'est un bogue lié au bureau GNOME que dans la mesure où le paquet gnome dépend de gnome-core, qui dépend de gnome-software, qui dépend de software-properties-gtk... mais on peut très bien reproduire le problème sous Xfce (en installant software-properties-gtk, par exemple) et probablement sous MATE aussi (idem), il suffit d'être « motivé » !

Sous GNOME, la désinstallation forcée du paquet software-properties-gtk casse gnome-software, mais on retrouve l'interface native de consultation/modification [de la liste] des dépôts de Synaptic (comme sous HandyLinux, quoi) et il n'y a plus de bogue — sous réserve d'avoir supprimé l'éventuel fichier trusted.gpg problématique bien sûr.

Le cas de DFLinux-Stretch est intéressant : software-properties-gtk est installé, mais on n'a pas le bogue, j'ai déjà tenté « d'expliquer » pourquoi, mais bon... rien ne vaut un test effectué par soi-même en comprenant ce que l'on fait. Force et courage (sic), donc.

Dernière modification par èfpé (26-09-2017 10:08:42)

Hors ligne

#13 26-09-2017 10:14:32

Herve33
Membre
Lieu : Mérignac 33
Distrib. : DFlinux Stretch
Inscription : 21-09-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

chalu a écrit :


Pas obligé d'après le retour de Herve33 consulter les dépôts via Synaptic suffit à créer le problème d'après ce que j'ai compris.


Bjr,
oui le fait d'aller consulter tes dépôts via synaptic te recrée le fichier  trusted.gpg. Si tu passes via le terminal pour tes dépôts pas de souci.
@+


DFlinux Stretch

Hors ligne

#14 26-09-2017 11:02:25

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Ok ça viendrait donc de software-properties-gtk qui n'est pas installé par défaut si on choisit le bureau Mate (et j'imagine aussi le bureau XFCE ou LXDE)
Pour DFlinux, le truc bizarre c'est qu'il n'y a pas exacte correspondance entre le sources.list réellement utilisé (qui utilise bien le dépôt de sécurité quand on vérifie au terminal) et l'affichage de la fenêtre graphique des dépôts dans Synaptic où la case " dépôt sécurité" n'est pas cochée (me souviens plus de l'intitulé exact de la ligne)
Si on la coche ça double le dépôt.
ça n'a peut-être/sans doute rien à voir ...

Hors ligne

#15 26-09-2017 11:12:42

èfpé
Membre
Inscription : 10-07-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

Re-,

@chalu : ah oui, cela avait fait l'objet de longues palabres, sur le fil dédié... mais ça n'a rien à voir, effectivement.

Hors ligne

#16 26-09-2017 11:25:59

chalu
Modératrice
Lieu : Anjou
Distrib. : Debian Stretch
Noyau : Linux 4.9.0-3-amd64
(G)UI : Mate 1.16
Inscription : 11-03-2016

Re : [Résolu] Problèmes lors de ma mise à jour via Apt ou Synaptic.

En tout cas, ça montre les limites de software-properties-gtk qui ne lit pas le sources.list correctement

Hors ligne

Pied de page des forums